For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETDownload File
      • GETDownload a Thumbnail Image
      • PUTUpdate File
      • DELDelete file
LogoLogo
SupportContact salesStart free trial
API ReferenceFile

GET
https://api.projectmanager.com/api/data/files/:documentId/thumbnail
GET
/api/data/files/:documentId/thumbnail
$curl https://api.projectmanager.com/api/data/files/documentId/thumbnail \
> -H "Authorization: Bearer <token>"
200Retrieved
1"string"
Was this page helpful?
Previous

Update File

Next
Built with
Downloads a thumbnail image associated with a document that was previously uploaded to ProjectManager.com. ProjectManager allows you to store files linked to various elements within your Workspace, such as Projects, Tasks, or your Home. Files are organized based on their storage location. When uploading a file, please allow some time for the file to undergo processing and verification. ProjectManager may reject file uploads containing issues such as malware. Once a file has completed the upload process, you can retrieve its associated thumbnail using the DownloadThumbnail API. If successful, this API returns the file contents as an octet-stream (raw bytes). If an error occurs, you will receive a JSON result with error information.
Download a Thumbnail Image

Authentication

AuthorizationBearer
Bearer authentication of the form `Bearer <token>`, where token is your auth token.

Path parameters

documentIdstringRequiredformat: "uuid"
The unique identifier of the document for which to download the thumbnail.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
The unique identifier of the document for which to download the thumbnail.
The name of the calling system passed along as a header parameter
Success

Bearer authentication of the form Bearer <token>, where token is your auth token.

Downloads a thumbnail image associated with a document that was previously uploaded to ProjectManager.com.

ProjectManager allows you to store files linked to various elements within your Workspace, such as Projects, Tasks, or your Home. Files are organized based on their storage location.

When uploading a file, please allow some time for the file to undergo processing and verification. ProjectManager may reject file uploads containing issues such as malware. Once a file has completed the upload process, you can retrieve its associated thumbnail using the DownloadThumbnail API.

If successful, this API returns the file contents as an octet-stream (raw bytes). If an error occurs, you will receive a JSON result with error information.